from snakemake.shell import shell
import os

log = snakemake.log_fmt_shell(stdout=True, stderr=True)
genome = snakemake.params.get('genome', 'hg38')
annotators = snakemake.params.get('annotators', None)
report_type = snakemake.params.get('report_type', 'text')
run_name = '.'.join(snakemake.output[0].split('.')[:-1])
cmd = f'oc run {" ".join(snakemake.input[1:])} -l {genome} -t {report_type} -n {run_name}'
if annotators is not None:
    cmd = f'{cmd} -a {" ".join(annotators.split(","))}'
else:
    cmd = f'{cmd} --skip annotator'
print(f'{cmd}')
shell(cmd)
